Subject: bug#49570: 28.0.50; url-http proxy connection-wait

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Jul 2021 18:42:21 +0300

> Cc: Madhu <[email-masked]>, [email-masked]
> Date: Tue, 20 Jul 2021 15:13:01 +0000
> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Andrea Corallo <[email-masked]> writes:
> >
> >> Actually I thought I removed feature/native-comp, is it still in place?
> >
> > I think it's gone from Savannah, but if I remember correctly, that
> > doesn't make the branch go away in other repos?  And indeed:
> >
> > larsi@elva:~/src/emacs/trunk$ git branch -a | grep native
> >   remotes/origin/feature/native-comp
> >   remotes/origin/feature/native-comp-macos-fixes
> >   remotes/origin/scratch/native-comp-cl
> >   remotes/origin/scratch/native-comp-eln-caches
> >   remotes/origin/scratch/native-comp-gcc-driver-options
> >   remotes/origin/scratch/native-comp-macos-43532
> 
> I see, that's annoying but I guess we have no workaround for that :/

The workaround is to tell people to say

   git remote prune origin

from time to time.